Subject: Re: [PATCH] Expose isearch and suffix regions to widgets.
From: Daniel Shahaf <[email-masked]>
To: [email-masked]
Date: Mon, 25 Apr 2016 08:19:15 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Bart Schaefer wrote on Sat, Apr 23, 2016 at 15:33:56 -0700:
> I will posit that isearch is rather different from YANK/SUFFIX/REGION
> in that one might be interested in what the current search pattern is,
> as well as what string is matched.
> 
> There are two existing variables LASTABORTEDSEARCH and LASTSEARCH which
> refer to that search pattern, neither of which uses the "I", so maybe
> these new three (or four or five) shouldn't use it either.

I have no strong opinion regarding whether the new parameters should
have the "I" in their names.